Ask / Submit
3

Jolla installation on H4113 actually with LineageOS 16

asked 2019-06-16 06:45:08 +0300

tankey gravatar image

Hello,

The install instructions warns : «NOTE: do not update your XA2 device to Android version 9 as installing Sailfish OS then would break the device!»

But is this warning only for Google Android (and Sony packaging / modifications) only ? I have a phone XA2 H4113 with LineageOS 16 (based on AOSP 9 with an older kernel in fact) and already purchased Jolla Sailfish. The bootloader is default from LineageOS and i can boot on a "live twrp". Anyone know if i could install Sailfish on it ?

thanks

edit retag flag offensive close delete

3 Answers

Sort by » oldest newest most voted
2

answered 2019-07-28 14:51:21 +0300

carmeloferso gravatar image

updated 2019-07-28 14:51:45 +0300

For now is possible, but... The developer for Lineage OS 16 for Xperia XA2, said that in some time, will update the base from Android 8 to Android 9, so eventually, will break XA2, so is better to go back to stock android 8 ROM

edit flag offensive delete publish link more
1

answered 2019-06-16 09:27:37 +0300

tankey gravatar image

Thanks for your replies, but to be sure : «over lineageos16» means «without to rollback to 15 before» ?

edit flag offensive delete publish link more

Comments

Yes. I had LineageOS 16 and just installed Sailfish and it worked.

Artur ( 2019-06-16 09:43:47 +0300 )edit

Thanks, i will try

tankey ( 2019-06-16 11:33:28 +0300 )edit
1

As I have the same problem, I would like to know, if the installation of Sailfish over LineageOS 16 did work? Did appear any issues during installation which need some modification of the official Sailfish installation process?

seehas ( 2019-07-06 23:53:41 +0300 )edit

Did you mean to post a comment?

attah ( 2019-07-28 14:57:27 +0300 )edit
0

answered 2019-06-16 08:10:07 +0300

Artur gravatar image

updated 2019-06-16 09:44:05 +0300

I installed Sailfish over LineageOS 16 and it worked fine but that was some time ago, I wouldn't know if the latest build has whatever it is that causes the problem.

The latest Sailfish OS installers are supposed to detect the thing that causes the problem and stop the installation. So, supposedly it is safe to try.

edit flag offensive delete publish link more

Comments

how long is "some time ago"? my situation is identical to the op's and i would hate to brick my xa2 by trying to install sailfish ...

jabgoe ( 2019-07-15 17:05:06 +0300 )edit

@jabgoe 2019-05-06

Artur ( 2019-07-21 09:14:26 +0300 )edit
Login/Signup to Answer

Question tools

Follow
2 followers

Stats

Asked: 2019-06-16 06:45:08 +0300

Seen: 587 times

Last updated: Jul 28